<a href="https://www.telerik.com/kendo-angular-ui/components/treeview" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular TreeView Component

> * This package is part of the [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!

The Kendo UI for Angular TreeView includes a comprehensive set of ready-to-use features covering everything from filtering, node selection and rendering checkboxes to dragging and dropping of nodes and persisting the disabled and expanded states.

## Key Features

Among the many features which the Kendo UI for Angular TreeView delivers are:

* Data Binding&mdash;The TreeView features built-in data binding directives, which enable you to work with various types of collections and help you visualize a hierarchical list. [Read more about the data binding functionality of the TreeView...](https://www.telerik.com/kendo-angular-ui/components/treeview/data-binding)
* Filtering&mdash;The TreeView provides options for displaying only those nodes which meet specified criteria and for additionally customizing the filtering logic. [Read more about filtering the TreeView nodes...](https://www.telerik.com/kendo-angular-ui/components/treeview/filtering)
* Load More&mdash;The TreeView supports a **Load more** button, which means that the component can render the next portion of data on demand. This approach boosts the performance of the component when it has to display a large number of nodes. [Read more about the **Load more** button feature of the TreeView...](https://www.telerik.com/kendo-angular-ui/components/treeview/load-more-button)
* Dragging and Dropping&mdash;The TreeView provides built-in directives, which enable you to drag and drop nodes inside the TreeView  [Read more about the drag and drop feature of the TreeView...](https://www.telerik.com/kendo-angular-ui/components/treeview/drag-and-drop)
* Selection and Checkboxes&mdash;The TreeView provides built-in directives, which allow you to select a single or multiple nodes either by using node checkboxes or clicking the nodes itself. Read more about the [selection feature](https://www.telerik.com/kendo-angular-ui/components/treeview/selection) and [checkbox feature](https://www.telerik.com/kendo-angular-ui/components/treeview/checkboxes) of the TreeView.
* Node Template&mdash;You can visually customize the content of the TreeView nodes by utilizing the ready-to-use node template. [Read more about the node template of the TreeView...](https://www.telerik.com/kendo-angular-ui/components/treeview/node-template)
* Persisting the State&mdash;You can control which nodes to be expanded and collapsed or to render the nodes in their disabled state so that the users will not be able to interact with them. Read more about how to persist the [disabled state](https://www.telerik.com/kendo-angular-ui/components/treeview/disabled-state) and [expanded state](https://www.telerik.com/kendo-angular-ui/components/treeview/expand-state) of the TreeView.
* Appearance&mdash;You can use the options provided by the TreeView component to customize its appearance. [Read more about the customizable appearance of the TreeView...](https://www.telerik.com/kendo-angular-ui/components/treeview/appearance)
* Globalization&mdash;The Kendo UI for Angular TreeView supports globalization to ensure that it can fit well in any application, no matter what languages and locales need to be supported. Additionally, the TreeView supports rendering in a right-to-left (RTL) direction. [Read more about the globalization of the TreeView...](https://www.telerik.com/kendo-angular-ui/components/treeview/globalization)
* Accessibility&mdash;The TreeView is accessible for screen readers and supports WAI-ARIA attributes. [Read more about the accessibility of the TreeView...](https://www.telerik.com/kendo-angular-ui/components/treeview/accessibility)

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular TreeView, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-center/contact-us/technical-support).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular TreeView](https://www.telerik.com/kendo-angular-ui/components/treeview/installation/getting-started)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
