/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef, ChangeDetectorRef } from "@angular/core";
import { DropAction } from '../models';
import { TreeItemLookup } from '../../treeitem-lookup.interface';
import { SVGIcon } from "@progress/kendo-svg-icons";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DragClueComponent {
    private cdr;
    hostClasses: boolean;
    /**
     * The text value of the dragged TreeView item.
     */
    text: string;
    /**
     * The attempted operation according to the current drop target.
     */
    action: DropAction;
    /**
     * The look-up info for the currently dragged item.
     */
    sourceItem: TreeItemLookup;
    /**
     * The look-up info for the destination item (if hovering a valid drop target).
     */
    destinationItem: TreeItemLookup;
    /**
     * Defines the drag clue content template.
     */
    template: TemplateRef<any>;
    posistionStyle: string;
    get statusIconClass(): string;
    get statusSVGIcon(): SVGIcon;
    constructor(cdr: ChangeDetectorRef);
    detectChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragClueComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DragClueComponent, "kendo-treeview-drag-clue", never, {}, {}, never, never, true, never>;
}
