/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ViewContainerRef, TemplateRef } from '@angular/core';
import { DropHintComponent } from './drop-hint.component';
import { DragAndDropAssetService } from '../editing-services/drag-and-drop-asset.service';
import { DropAction } from '../models';
import { TreeItemLookup } from '../../treeitem-lookup.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DropHintService extends DragAndDropAssetService<DropHintComponent> {
    constructor();
    initialize(container: ViewContainerRef, template?: TemplateRef<any>): void;
    updateDropHintData(action: DropAction, sourceItem: TreeItemLookup, destinationItem: TreeItemLookup): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropHintService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DropHintService>;
}
