/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentRef, ViewContainerRef, TemplateRef, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class DragAndDropAssetService<T> implements OnDestroy {
    protected get componentRef(): ComponentRef<T>;
    protected set componentRef(componentRef: ComponentRef<T>);
    protected get element(): HTMLElement;
    protected _componentRef: ComponentRef<T>;
    abstract initialize(container: ViewContainerRef, template?: TemplateRef<any>): void;
    ngOnDestroy(): void;
    show(): void;
    hide(): void;
    move(left: number, top: number, offset?: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragAndDropAssetService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DragAndDropAssetService<any>>;
}
