/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FlatDataBindingDirective } from '../../flat-binding.directive';
import { TreeItemAddRemoveArgs, EditService } from '../models';
/**
 * @hidden
 */
export declare class FlatEditingService implements EditService {
    private flatBinding;
    private movedItemNewIndex;
    constructor(flatBinding: FlatDataBindingDirective);
    add({ sourceItem, destinationItem, dropPosition, sourceTree, destinationTree }: TreeItemAddRemoveArgs): void;
    remove({ sourceItem, sourceTree, destinationTree }: TreeItemAddRemoveArgs): void;
    private addChildNodes;
    private removeChildNodes;
    private fetchAllDescendantNodes;
    private fetchChildNodes;
    private getLastVisibleChildNodeIndex;
    private rebindData;
}
