/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { HierarchyBindingDirective } from '../../hierarchy-binding.directive';
import { TreeItemAddRemoveArgs, EditService } from '../models';
/**
 * @hidden
 */
export declare class HierarchyEditingService implements EditService {
    private hierarchyBinding;
    private movedItemNewIndex;
    constructor(hierarchyBinding: HierarchyBindingDirective);
    add({ sourceItem, destinationItem, dropPosition, sourceTree, destinationTree }: TreeItemAddRemoveArgs): void;
    remove({ sourceItem, sourceTree, destinationTree }: TreeItemAddRemoveArgs): void;
    private getParentNodes;
    private childrenFor;
}
