/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TreeItemAddRemoveArgs } from './treeitem-add-remove-args';
/**
 * Specifies the handlers called on drag-and-drop [`addItem`]({% slug api_treeview_treeviewcomponent %}#toc-additem)
 * and [`removeItem`]({% slug api_treeview_treeviewcomponent %}#toc-removeitem) events.
 */
export interface EditService {
    /**
     * The event handler called when the drag-and-drop
     * [`addItem`]({% slug api_treeview_treeviewcomponent %}#toc-additem) event is fired.
     */
    add: (args: TreeItemAddRemoveArgs) => void;
    /**
     * The event handler called when the drag-and-drop
     * [`removeItem`]({% slug api_treeview_treeviewcomponent %}#toc-removeitem) event is fired.
     */
    remove: (args: TreeItemAddRemoveArgs) => void;
}
