/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TreeItemLookup } from '../../treeitem-lookup.interface';
/**
 * Arguments for the TreeView [`nodeDrag`]({% slug api_treeview_treeviewcomponent %}#toc-nodedrag) and
 * [`nodeDragEnd`]({% slug api_treeview_treeviewcomponent %}#toc-nodedragend) events.
 */
export declare class TreeItemDragEvent {
    /** @hidden */
    constructor();
    /**
     * The look-up info for the dragged item.
     */
    sourceItem: TreeItemLookup;
    /**
     * The look-up info for the item that the dragged node is placed over if there is such.
     */
    destinationItem: TreeItemLookup;
    /**
     * The original pointer event holding details about the current pointer position.
     */
    originalEvent: PointerEvent;
}
