/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TreeItemLookup } from '../../treeitem-lookup.interface';
import { PreventableEvent } from './preventable-event';
/**
 * Arguments for the TreeView [`nodeDragStart`]({% slug api_treeview_treeviewcomponent %}#toc-nodedragstart) event.
 */
export declare class TreeItemDragStartEvent extends PreventableEvent {
    /**
     * The look-up info for the dragged item.
     */
    sourceItem: TreeItemLookup;
    /**
     * The original pointer event holding details about the current pointer position.
     */
    originalEvent: PointerEvent;
    /**
     * @hidden
     */
    constructor(initializer: {
        sourceItem: TreeItemLookup;
        originalEvent: PointerEvent;
    });
}
