/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { CheckDirective } from "./check.directive";
import { DisableDirective } from "./disable.directive";
import { DragAndDropEditingDirective } from "./drag-and-drop/drag-and-drop-editing.directive";
import { DragAndDropDirective } from "./drag-and-drop/drag-and-drop.directive";
import { DragClueTemplateDirective } from "./drag-and-drop/drag-clue/drag-clue-template.directive";
import { DropHintTemplateDirective } from "./drag-and-drop/drop-hint/drop-hint-template.directive";
import { ExpandDirective } from "./expand.directive";
import { FlatDataBindingDirective } from "./flat-binding.directive";
import { HierarchyBindingDirective } from "./hierarchy-binding.directive";
import { LoadMoreButtonTemplateDirective } from "./load-more/load-more-button-template.directive";
import { LoadMoreDirective } from "./load-more/load-more.directive";
import { CustomMessagesComponent } from "./localization/custom-messages.component";
import { NodeTemplateDirective } from "./node-template.directive";
import { SelectDirective } from "./selection/select.directive";
import { TreeViewComponent } from "./treeview.component";
/**
 * Utility array that contains all `@progress/kendo-angular-treeview` related components and directives
 */
export const KENDO_TREEVIEW = [
    TreeViewComponent,
    NodeTemplateDirective,
    CheckDirective,
    DisableDirective,
    ExpandDirective,
    SelectDirective,
    HierarchyBindingDirective,
    FlatDataBindingDirective,
    DragAndDropDirective,
    DragClueTemplateDirective,
    DropHintTemplateDirective,
    DragAndDropEditingDirective,
    LoadMoreDirective,
    LoadMoreButtonTemplateDirective,
    CustomMessagesComponent
];
