/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Arguments for the TreeView [`nodeDrag`]({% slug api_treeview_treeviewcomponent %}#toc-nodedrag) and
 * [`nodeDragEnd`]({% slug api_treeview_treeviewcomponent %}#toc-nodedragend) events.
 */
export class TreeItemDragEvent {
    /** @hidden */
    constructor() { }
    /**
     * The look-up info for the dragged item.
     */
    sourceItem;
    /**
     * The look-up info for the item that the dragged node is placed over if there is such.
     */
    destinationItem;
    /**
     * The original pointer event holding details about the current pointer position.
     */
    originalEvent;
}
