/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the arguments passed to the [`loadMoreNodes`]({% slug api_treeview_loadmoredirective %}#toc-kendotreeviewloadmore)
 * function when a load more button is pressed.
 */
export interface LoadMoreRequestArgs {
    /**
     * Points to the data item for which more child nodes are requested.
     */
    dataItem: any;
    /**
     * Indicates how many items are currently rendered.
     */
    skip: number;
    /**
     * Indicates how many new items are requested. This value equals the initial [`pageSize`]({% slug api_treeview_loadmoredirective %}#toc-pagesize) passed to the
     * [`kendoTreeViewLoadMore`]({% slug api_treeview_loadmoredirective %}) directive. It's not required to conform to this value -
     * the current data item page size will be incremented with as many items are returned by the [`loadMoreNodes`]({% slug api_treeview_loadmoredirective %}#toc-kendotreeviewloadmore) function.
     */
    take: number;
}
