/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { ExpandStateService } from './expand-state.service';
import { LoadingNotificationService } from './loading-notification.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class LoadingIndicatorDirective implements OnInit, OnDestroy {
    protected expandService: ExpandStateService;
    protected loadingService: LoadingNotificationService;
    protected cd: ChangeDetectorRef;
    get loading(): boolean;
    set loading(value: boolean);
    index: string;
    private _loading;
    private subscription;
    constructor(expandService: ExpandStateService, loadingService: LoadingNotificationService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoadingIndicatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LoadingIndicatorDirective, "[kendoTreeViewLoading]", never, { "index": { "alias": "kendoTreeViewLoading"; "required": false; }; }, {}, never, never, true, never>;
}
