/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NavigationItem } from './navigation-item.interface';
/**
 * @hidden
 */
export declare class NavigationModel {
    private ib;
    private nodes;
    firstVisibleNode(): NavigationItem;
    lastVisibleNode(): NavigationItem;
    closestNode(index: string): NavigationItem;
    firstFocusableNode(): NavigationItem;
    findNode(index: string): NavigationItem;
    findParent(index: string): NavigationItem;
    findVisibleChild(index: string): NavigationItem;
    findVisiblePrev(item: NavigationItem): NavigationItem;
    findVisibleNext(item: NavigationItem): NavigationItem;
    registerItem(id: number, index: string, disabled: boolean, loadMoreButton?: boolean, visible?: boolean): void;
    unregisterItem(id: number, index: string): void;
    private childLevel;
    private container;
    private find;
    private insert;
    private visibleSibling;
}
