/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TreeItem } from './treeitem.interface';
/**
 * Arguments for the `nodeClick` event.
 */
export interface NodeClickEvent {
    /**
     * The clicked item.
     */
    item?: TreeItem;
    /**
     * The DOM event that triggered the node click event.
     */
    originalEvent?: any;
    /**
     * The event type.
     */
    type?: 'click' | 'contextmenu';
}
