/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents a TreeView node.
 */
export interface TreeItem {
    /**
     * The data item that is bound to the TreeView node
     * ([see example]({% slug selection_treeview %}#toc-modifying-the-selection)).
     */
    dataItem: any;
    /**
     * The auto-generated hierarchical index of the TreeView node
     * ([see example]({% slug selection_treeview %}#toc-modifying-the-selection)).
     */
    index: string;
}
