/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, OnChanges, OnDestroy, Renderer2, SimpleChanges } from '@angular/core';
import { NavigationService } from './navigation/navigation.service';
import { SelectionService } from './selection/selection.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 *
 * A directive which manages the expanded state of the TreeView.
 */
export declare class TreeViewItemContentDirective implements OnChanges, OnDestroy {
    private element;
    private navigationService;
    private selectionService;
    private renderer;
    dataItem: any;
    index: string;
    initialSelection: boolean;
    isSelected: (item: object, index: string) => boolean;
    private subscriptions;
    constructor(element: ElementRef, navigationService: NavigationService, selectionService: SelectionService, renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private updateFocusClass;
    private updateSelectionClass;
    private render;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeViewItemContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TreeViewItemContentDirective, "[kendoTreeViewItemContent]", never, { "dataItem": { "alias": "dataItem"; "required": false; }; "index": { "alias": "index"; "required": false; }; "initialSelection": { "alias": "initialSelection"; "required": false; }; "isSelected": { "alias": "isSelected"; "required": false; }; }, {}, never, never, true, never>;
}
