/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TreeItem } from './treeitem.interface';
import { ItemLookup, TreeItemLookup } from './treeitem-lookup.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TreeViewLookupService {
    private map;
    reset(): void;
    registerItem(item: TreeItem, parent?: TreeItem): void;
    registerChildren(index: string, children: TreeItem[]): void;
    unregisterItem(index: string, dataItem: any): void;
    replaceItem(index: string, item: TreeItem, parent?: TreeItem): void;
    itemLookup(index: string): TreeItemLookup;
    hasItem(index: string): boolean;
    item(index: string): ItemLookup;
    private addToParent;
    private mapChildren;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeViewLookupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TreeViewLookupService>;
}
